import { ActionRenderer, tabulatorActionRendererStyles } from '@genesislcap/grid-tabulator';
import { css, html } from '@microsoft/fast-element';
/**
 * @tagname %%prefix%%-grid-tabulator-action-renderer
 */
export class RapidTabulatorActionRenderer extends ActionRenderer {
}
/**
 * The Rapid Action Renderer
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-grid-tabulator-action-renderer\>
 */
export const rapidTabulatorActionRenderer = RapidTabulatorActionRenderer.compose({
    baseName: 'grid-tabulator-action-renderer',
    styles: css `
    ${tabulatorActionRendererStyles}
  `,
    template: html `
    <div class="action-container" part="action-container">
      <rapid-button
        class="action-renderer"
        part="action-renderer"
        aria-label=${(x) => x.params.actionName}
        data-test-id="${(x) => x.dataTestId}"
        ?disabled=${(x) => x.pendingAction}
        appearance="${(x) => x.params.appearance}"
        @click=${(x) => x.clickHandler()}
      >
        ${(x) => x.params.contentTemplate
        ? html `
                ${x.params.contentTemplate}
              `
        : x.params.actionName}
      </rapid-button>
    </div>
  `,
});
