import { themeTokenMapCSS } from '@genesislcap/grid-tabulator';
import { mixinRobotoFont } from '@genesislcap/rapid-design-system';
import { css } from '@microsoft/fast-element';
// import { gridThemeGenesisRapidTokens } from '../../style/tokens';
import { themeGenesisRapidCSS } from './theme-genesis-rapid-css';
export const themeGenesisRapidTokenMap = {
// [GridCSSVars.backgroundColor]: gridThemeGenesisRapidTokens.backgroundColor,
// [GridCSSVars.foregroundColor]: gridThemeGenesisRapidTokens.foregroundColor,
// [GridCSSVars.oddRowBackgroundColor]: gridThemeGenesisRapidTokens.backgroundColor,
// [GridCSSVars.headerBackgroundColor]: gridThemeGenesisRapidTokens.backgroundColor,
// [GridCSSVars.headerForegroundColor]: gridThemeGenesisRapidTokens.headerForegroundColor,
// [GridCSSVars.selectedRowBackgroundColor]: gridThemeGenesisRapidTokens.rowHoverColor,
// [GridCSSVars.rowHoverColor]: gridThemeGenesisRapidTokens.rowHoverColor,
// [GridCSSVars.borderColor]: gridThemeGenesisRapidTokens.borderColor,
// [GridCSSVars.rowBorderColor]: gridThemeGenesisRapidTokens.rowHoverColor,
// [GridCSSVars.modalOverlayBackgroundColor]: gridThemeGenesisRapidTokens.backgroundColor,
// [GridCSSVars.inputFocusBoxShadow]: gridThemeGenesisRapidTokens.headerForegroundColor,
// [GridCSSVars.inputFocusBorderColor]: gridThemeGenesisRapidTokens.headerForegroundColor,
// [GridCSSVars.headerColumnResizeHandleColor]: gridThemeGenesisRapidTokens.headerForegroundColor,
};
export const themeGenesisRapidName = 'tabulator-theme-genesis-rapid';
export const themeGenesisRapid = css `
  ${themeGenesisRapidCSS}
  ${themeTokenMapCSS(themeGenesisRapidName, themeGenesisRapidTokenMap)}

  .${themeGenesisRapidName} {
    ${mixinRobotoFont()}
  }
`;
export const themeGenesisRapidDarkName = 'tabulator-theme-genesis-rapid-dark';
export const themeGenesisRapidDark = css `
  ${themeGenesisRapidCSS}
  ${themeTokenMapCSS(themeGenesisRapidDarkName, themeGenesisRapidTokenMap)}

  .${themeGenesisRapidDarkName} {
    ${mixinRobotoFont()}
  }
  .tabulator {
    background-color: var(--neutral-layer-4);
    font-family: var(--body-font);
    font-size: var(--type-ramp-minus-1-font-size);
  }

  .tabulator .tabulator-header {
    border-bottom: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    background-color: var(--neutral-layer-4);
    color: var(--neutral-foreground-hint);
    font-weight: bold;
    height: 40px;
  }

  .tabulator .tabulator-header .tabulator-col {
    justify-content: center;
    border-right: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    background-color: var(--neutral-layer-4);
    color: var(--neutral-foreground-hint);
    height: 40px;
  }
  .tabulator .tabulator-header .tabulator-col .tabulator-col-content,
  .tabulator-row .tabulator-cell {
    padding: calc(var(--design-unit) * 1px) calc(var(--design-unit) * 4px);
  }

  .tabulator-row,
  .tabulator-row.tabulator-row-even {
    background-color: var(--neutral-layer-4);
    color: var(--neutral-foreground-rest);
  }

  .tabulator .tabulator-header .tabulator-frozen.tabulator-frozen-left,
  .tabulator-row .tabulator-cell.tabulator-frozen.tabulator-frozen-left {
    border-right: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
  }

  .tabulator .tabulator-header .tabulator-frozen.tabulator-frozen-right,
  .tabulator-row .tabulator-cell.tabulator-frozen.tabulator-frozen-right {
    border-left: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
  }

  .tabulator-row.tabulator-selectable:hover {
    background-color: color-mix(in srgb, var(--accent-fill-hover) 10%, transparent);
  }

  .tabulator
    .tabulator-header
    .tabulator-col.tabulator-sortable.tabulator-col-sorter-element:hover {
    background-color: var(--neutral-layer-4);
  }
`;
